{% extends "page.html" %}

{% set query = c.pkg_dict or pkg_dict %}
{% set data = data or {} %}
{% set errors = errors or {} %}

{% block breadcrumb_content_selected %} class="active"{% endblock %}

{% block subtitle %}{{ _('My Queries') }}{% endblock %}

{% block breadcrumb_content %}
  {% if query %}
    {% set query_title = query.title or query.name %}
    <li{{ self.breadcrumb_content_selected() }}>{% link_for query_title|truncate(30), controller='ckanext.eodp.query_controller:QueryController', action='read', id=query.name %}</li>
  {% else %}
    <li>{% link_for _('My Queries'), controller='ckanext.eodp.query_controller:QueryController', action='dashboard_queries' %}</li>
    <li class="active"><a href="">{{ _('Create Query') }}</a></li>
  {% endif %}
{% endblock %}


{% block primary_content %}
  <section class="module">
    {% block page_header %}{% endblock %}
    <div class="module-content">
      {% block primary_content_inner %}
        {% block form %}
            {% block basic_fields %}
                {% snippet 'query/snippets/query_basic_fields.html', data=data, errors=errors, licenses=c.licenses, groups_available=c.groups_available %}
            {% endblock %}
        {% endblock %}
      {% endblock %}
    </div>
  </section>
{% endblock %}

{% block secondary_content %}
  {% block info_module %}
    <section class="module module-narrow module-shallow">
      <h2 class="module-heading"></h2>
      <div class="module-content">
        <p>
          {% trans %}

          {% endtrans %}
        </p>
      </div>
    </section>
  {% endblock %}
{% endblock %}
